-- Base plugins and libraries

return {
  "nvim-lua/plenary.nvim",
  {
    "folke/snacks.nvim",
    priority = 1000, -- needs to be set up early
    lazy = false,
    opts = {
      bigfiles = { enabled = true },
      dashboard = { enabled = true },
      indent = { enabled = true, animate = { enabled = false } },
      input = { enabled = true },
      lazygit = { enabled = true, configure = true },
      picker = { enabled = true },
      quickfile = { enabled = true },
      statuscolumn = { enabled = true },
    },
    keys = {
      {
        "<leader>gg",
        function()
          require("snacks").lazygit()
        end,
        desc = "Open LazyGit",
      },
    },
  },
  {
    "stevearc/conform.nvim",
    opts = {
      formatters_by_ft = {
        lua = { "stylua" },
      },
      format_on_save = {
        timeout_ms = 500,
        lsp_format = "fallback",
      },
    },
  },
  {
    "zapling/mason-conform.nvim",
    depends = {
      "williamboman/mason.nvim",
      "stevearc/conform.nvim",
    },
    opts = {},
  },
  {
    "mrjones2014/legendary.nvim",
    priority = 999,
    opts = {
      extensions = { lazy_nvim = true },
    },
  },
}
